Skip to main content
GET
Get Profile

Authorizations

X-Browser-Use-API-Key
string
header
required

Path Parameters

profile_id
string<uuid>
required

Response

Successful Response

View model for representing a profile. A profile lets you preserve the login state between sessions.

We recommend that you create a separate profile for each user of your app. You can assign a user_id to each profile to easily identify which user the profile belongs to.

id
string<uuid>
required

Unique identifier for the profile

createdAt
string<date-time>
required

Timestamp when the profile was created

updatedAt
string<date-time>
required

Timestamp when the profile was last updated

userId
string | null

Your internal user identifier for this profile. Use this to associate a profile with a user in your system.

name
string | null

Optional name for the profile

lastUsedAt
string<date-time> | null

Timestamp when the profile was last used

List of domain URLs that have cookies stored for this profile